# Livre de recettes

## À propos

Ce livre de recettes collaboratif rassemble les meilleures recettes de famille et d'amis amateurs de cuisine. Tout le monde peut le consulter, le partager, et même le compléter. Il est possible d'ajouter, de supprimer et de modifier les recettes sans crainte, car toutes les modifications sont gardées en mémoire et donc réversibles.

## Index

* [Liste des recettes [A-Z]](./src/branch/main/liste_a-z.md)

## Comment contribuer ?

Pour ajouter ou modifier des recettes simplement, il vous faudra :

* Le logiciel **[Github Desktop](https://desktop.github.com/)**

* Un éditeur de texte au format Markdown, par exemple **[MarkText](https://www.marktext.cc/)**

* Un compte sur ce site (pour cela, demandez à l'administrateur de vous en créer un)

#### Commencer avec Github Desktop

1. Github Desktop va commencer par vous proposer de créer un compte sur Github, vous pouvez passer cette étape avec un petit bouton gris en bas à gauche car nous n'utilisons pas Github.

2. Vous pouvez maintenant ajouter votre nom qui s'affichera sur vos contributions, et éventuellement une adresse mail.

3. Vous avez maintenant l'option de cloner, de créer ou d'ajouter un dépot. Choisissez "Clone a repository from the internet", puis cliquez sur l'onglet "URL" et ajoutez l'adresse https://git.robotfumeur.fr/ailyaut/livre_de_recettes.git et choisissez dans le champ suivant dans quel dossier vous souhaitez télécharger le livre de recette (par exemple dans le dossier "Documents".

4. Vous pouvez maintenant voir qu'un dossier "livre_de_recettes" s'est créé à l'emplacement spécifié. Il vous suffit à présent d'ajouter de nouvelles recettes ou de modifier les recettes déjà présentes avec un éditeur de texte au format Markdown (un tutoriel sur l'utilisation de MarkText est disponible plus bas)

5. Une fois que vous avez terminé de faire vos ajouts et modifications, retournez dans Github Desktop et cliquez en bas sur le bouton bleu "Commit to main" (il vous sera peut-être demandé d'écrire un petit texte dans le champ "Summary", dans ce cas expliquez de manière simple les modifications que vous avez faites, par exemple "ajouté Nouilles sautées aux crevettes" ou "retiré du sucre dans Cheesecake")

6. Les modifications sont désormais enregistrées sur votre ordinateur, mais pas sur le site ! Pour cela il faut encore cliquer sur le bouton "Push origin" tout en haut. Si c'est la première fois que vous le faites, Github Desktop vous demandera de vous connecter à votre compte. Entrez alors les identifiants du compte que l'administrateur vous a créé pour ce site.
